"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const codemirror_1 = require("@jupyterlab/codemirror");
const codemirror_ihaskell_1 = require("./codemirror-ihaskell");
/**
 * Initialization data for the extension1 extension.
 */
const extension = {
    id: 'ihaskell',
    autoStart: true,
    requires: [codemirror_1.ICodeMirror],
    activate: (app, codeMirror) => {
        codemirror_ihaskell_1.defineIHaskellMode(codeMirror);
        console.log('ihaskell codemirror activated');
    }
};
exports.default = extension;
